<?php
/**
 * Box Layout Control.
 *
 * @package    Community_Builder
 * @subpackage Customizer\Controls
 * @copyright  Copyright (c) 2018, BuddyDev
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     BuddyDev
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

/**
 * Box Layout control.
 */
class CB_Customize_Control_Box_Layout extends CB_Customize_Control_Layout {

	/**
	 * Constructor.
	 *
	 * @param WP_Customize_Manager $manager manager.
	 * @param string               $id control id.
	 * @param array                $args args.
	 */
	public function __construct( $manager, $id, $args = array() ) {

		$url = CB_THEME_URL . '/includes/customizer/controls/box-layout/assets/images/';

		$layouts = array(
			'boxed' => array(
				'url'   => $url . 'boxed.png',
				'label' => __( 'Default Boxed Layout', 'community-builder' ),
			),
			'fluid' => array(
				'url'   => $url . 'fluid.png',
				'label' => __( 'Fluid Layout', 'community-builder' ),
			),
		);

		$args['layouts'] = $layouts;
		// Let the parent class handle the rest.
		parent::__construct( $manager, $id, $args );
	}
}
